MongoId::__construct
MongoId::getInc
MongoId
PHP Manual

# MongoId::getHostname

Gets the hostname being used for this machine's ids

### Description

public static string MongoId::getHostname ( void )

This returns the hostname MongoId is using to generate unique ids. This should be the same value gethostname returns.

It is identical to the function:

`<?php
public static function getHostname() {
return gethostname();
}
?>`

### Parameters

This function has no parameters.

### Return Values

Returns the hostname.